/**
 * Setup (required for Joomla! 3)
 */
if(typeof(akeeba) == 'undefined') {
	var akeeba = {};
}
if(typeof(akeeba.jQuery) == 'undefined') {
	akeeba.jQuery = jQuery.noConflict();
}

var ats_instant_searching = false;
var ats_instant_results = {};
var ats_instant_oldtimestamp = 0;
var ats_instant_oldsearch = '';

akeeba.jQuery(document).ready(function($){
	var element = $('#tickettitle');
	element.keyup(function(e){
		// If we're already searching, quit
		if(ats_instant_searching) return;
	
		// Search on space or after at least two seconds have elapsed
		var doSearch = false;
		if(e.which == 32) {
			doSearch = true;
		} else if(e.timeStamp - ats_instant_oldtimestamp > 2000) {
			doSearch = true;
		}
		
		// If we don't have to search, bail out
		if(!doSearch) return;
		
		// OK, let's make sure we have enough things to search for
		var searchQuery = element.val();
		if(searchQuery == '') return;
		if(searchQuery.length < 6) return;
		
		if(ats_instant_oldsearch == searchQuery) return;
		ats_instant_oldsearch = searchQuery;

		// Update the timestamp and start searching!
		ats_instant_oldtimestamp = e.timeStamp;
		
		$('#ats-instantreply-grid').css('display','none');
		$('#ats-instantreply-noresults').css('display','none');
		$('#ats-instantreply-wait').css('display','block');

		var structure = {
			type: "POST",
			url: ats_instantreply_proxy,
			cache: false,
			data: {
				search: searchQuery
			},
			timeout: 15000,
			success: function(msg) {
				ats_instant_searching = false;
				var showNoResults = false;
				
				$('#ats-instantreply-wait').css('display','none');
				$('#ats-instantreply-grid').html('');
				
				try {
					if(msg.length < 1) {
						showNoResults = true;	
					} else {
						$('#ats-instantreply-wrapper').show('slow');
						$('#ats-instantreply-noresults').css('display','none');
						$('#ats-instantreply-grid').css('display','block');
						var myTable = $(document.createElement('table'))
							.addClass('table table-striped')
							.appendTo($('#ats-instantreply-grid'));
						$.each(msg,function(i, row) {
							var myTr = $(document.createElement('tr'));
							var myDiv = $(document.createElement('td'))
								.appendTo(myTr);
							$(document.createElement('h4'))
								.addClass('akfaq-title')
								.html(row.title)
								.appendTo(myDiv);
							$(document.createElement('span'))
								.addClass('akfaq-snip')
								.html(row.preview + '&nbsp;')
								.appendTo(myDiv);
							$(document.createElement('a'))
								.attr('href', 'javascript:')
								.addClass('btn btn-info btn-mini')
								.html('View')
								.click(function(){
									$('#ats-instantreply-lightbox-iframe')
										.attr('src',row.url+'#docimport');
									$('#ats-instantreply-lightbox-wrapper').show('medium');
								})
								.appendTo(myDiv);
							$(myTr).appendTo(myTable);
						});
					}
				} catch(err) {
					showNoResults = true;
				}
				
				if(showNoResults) {
					$('#ats-instantreply-noresults').css('display','block');
					$('#ats-instantreply-wrapper').hide('fast');
				}
			},
			error: function(Request, textStatus, errorThrown) {
				$('#ats-instantreply-noresults').css('display','block');
				$('#ats-instantreply-wait').css('display','none');
				$('#ats-instantreply-grid').html('');
				$('#ats-instantreply-wrapper').hide('fast');
			}
		}
		
		ats_instant_searching = true;
		$.ajax( structure );
	});
	
	$('#ats-instantreply-lightbox-close').click(function(){
		$('#ats-instantreply-lightbox-wrapper').hide('medium');
	});
});